Bug 143319 - Help page for the Transformations toolbar is still titled Mode and is orphaned
Summary: Help page for the Transformations toolbar is still titled Mode and is orphaned
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:7.3.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2021-07-12 15:43 UTC by Matthew Forrester
Modified: 2021-07-16 20:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Forrester 2021-07-12 15:43:54 UTC
Description:
The Transformations toolbar has an online help page: https://help.libreoffice.org/latest/lo/text/simpress/02/10030000.html?&DbPAR=WRITER&System=UNIX
(Note that the URL mentions simpress, but this tool bar is also part of Draw).

The help page is titled "Mode", which is the old name for this toolbar, before 6.0. Some of the 6.x help pages describe the toolbar in the text as "Effects", so that name may been used. The help page should be titled "Transformations", the new name for this toolbar.

Also, this help page appears to be orphaned.

Steps to Reproduce:
1. Open LibreOffice Draw or Impress and open View > Toolbars. A Transformations toolbar is listed.
2. In a web browser, open help.libreoffice.org and in the top bar search for "Transformations".
3. Click on the first entry, "Transformation".
4. Observe the page title and the Contents outline on the right hand side.

Actual Results:
The page is titled "Mode".

It does not have a place in the Contents outline (orphaned)

Expected Results:
The page should be titled "Transformations".

The page it should be listed in the Contents outline as Drawings (Draw) > Command and Menu Reference > Toolbars > Transformation. It should also be listed in equivalent place in the Impress outline.


Reproducible: Always


User Profile Reset: No



Additional Info:
I discovered this while studying bug #143309
(https://bugs.documentfoundation.org/show_bug.cgi?id=143309), fixed in gerrit 118276 (https://gerrit.libreoffice.org/c/help/+/118726).
Comment 1 Commit Notification 2021-07-13 11:49:12 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/49699b9fb00cc35734d70390c4a2452ba90425b4

tdf#143319 Update Transformation Help page